| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
I2CMasterState Struct Reference
I2c_master

Internal driver state information. More...

`#include <fsl_i2c_master_driver.h>`

Collaboration diagram for I2CMasterState:

## Data Fields
uint32_t | instance
uint32_t | lastBaudRate_kbps
LDD_TUserData * | pUserData
LDD_TDeviceData * | pDeviceHandle
bool | isTransferInProgress
LWEVENT_STRUCT | i2cEventHandler

## Detailed Description

Internal driver state information.

Note
  The contents of this structure are internal to the driver and should not be modified by users. Also, contents of the structure are subject to change in future releases.

Definition at line 66 of file fsl_i2c_master_driver.h.

## Field Documentation

LWEVENT_STRUCT i2cEventHandler

Definition at line 72 of file fsl_i2c_master_driver.h.

Referenced by i2c_master_init(), I2CBUS1_OnMasterBlockReceived(), and I2CBUS1_OnMasterBlockSent().

uint32_t instance

Definition at line 67 of file fsl_i2c_master_driver.h.

Referenced by i2c_master_adapter_start(), i2c_master_adapter_stop(), i2c_master_init(), i2c_master_shutdown(), and i2c_master_transfer().

bool isTransferInProgress

Definition at line 71 of file fsl_i2c_master_driver.h.

uint32_t lastBaudRate_kbps

Definition at line 68 of file fsl_i2c_master_driver.h.

Referenced by i2c_master_adapter_configure().

LDD_TDeviceData* pDeviceHandle

Definition at line 70 of file fsl_i2c_master_driver.h.

Referenced by i2c_hal_disable(), i2c_hal_enable(), i2c_master_init(), and i2c_master_transfer().

LDD_TUserData* pUserData

Definition at line 69 of file fsl_i2c_master_driver.h.

Referenced by i2c_master_shutdown().

The documentation for this struct was generated from the following file:

- ISF/ProtocolAdapter/Include/fsl_i2c_master_driver.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.